
Bugs - Bug #11

double field reference emitting problem report

10/03/2011 12:00 PM - Stanislav Lomany

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/03/2011 11:52 PM - Stanislav Lomany

@45116 - issue description:

Testcase:

def temp-table a

     field a1 as integer

     field a2 as integer

     field a3 as integer

     field a4 as integer  

     index idxa a1 a2

     index idxap is primary a4 a3 a1.

open query q1 for each a by a3 + a4 by a1.

open query q2 for each a by a3 + a4 by a1.

Converted code:

externalProcedure(new Block()

{

         PresortQuery query0 = null;

         FieldReference byExpr1 = new FieldReference(a, "a1");

         PresortQuery query1 = null;

         FieldReference byExpr1 = new FieldReference(a, "a1");

         ...

}
#2 - 10/17/2011 03:43 PM - Redmine Admin

@45129 - Status changed from WIP to Hold

#3 - 04/12/2012 11:23 AM - Stanislav Lomany

Imported from JPRM on 2012-04-12 11:23:04.083:

TASKID      = 6104

PROJECTID   = 124

STATUS      = 3 (Hold)

DESCRIPTION = double field reference emitting problem report

OWNER       = SVL

ASSIGNEE    = 

BILLABLE    = false

PRIORITY    = 5 (Normal)

PHASE       = 52 (Problem Resolution)

COMPONENT   = 97

ESTEFFORT   = 0.000000

ESTSTART    = 2011-10-03

ESTSTOP     = 

ACTSTOP     = 

CASENUM     = 

VENDORID    = 

COMMENT     = ''

LASTWIP     = 2011-10-17
